## org.apache.jasper.compiler
Class ParserController

    java.lang.Object
      org.apache.jasper.compiler.ParserController

public class ParserController
extends java.lang.Object

Controller for the parsing of a JSP page.

A translation unit (JSP source file and any files included via the include directive) may involve the processing of JSP pages written with different syntaxes (currently the original JSP syntax, as well as the XML syntax (as of JSP 1.2)). This class encapsulates the behavior related to the selection and invocation of the proper parser.

Author:
  Pierre Delisle

Constructor Summary
`ParserController(JspCompilationContext ctxt, Compiler compiler)`

Method Summary
`Compiler` `getCompiler()`
`JspCompilationContext` `getJspCompilationContext()`
`Node.Nodes` `parse(java.lang.String inFileName)` Parse the jsp page provided as an argument.
`Node.Nodes` `parse(java.lang.String inFileName, Node parent)` Parse the JSP page provided as an argument.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserController

    public ParserController(JspCompilationContext ctxt,
                            Compiler compiler)

Method Detail

### getJspCompilationContext

    public JspCompilationContext getJspCompilationContext()

### getCompiler

    public Compiler getCompiler()

### parse

    public Node.Nodes parse(java.lang.String inFileName)
                     throws java.io.FileNotFoundException,
                            JasperException

  Parse the jsp page provided as an argument. This is only invoked by the compiler.

  Parameters:
    `inFileName` - The name of the JSP file to be parsed.
  Throws:
    `java.io.FileNotFoundException`
    `JasperException`

### parse

    public Node.Nodes parse(java.lang.String inFileName,
                            Node parent)
                     throws java.io.FileNotFoundException,
                            JasperException

  Parse the JSP page provided as an argument. This is invoked recursively to handle 'include' directives.

  Parameters:
    `inFileName` - The name of the jsp file to be parsed.
    `parent` - The node for the 'include' directive.
  Throws:
    `java.io.FileNotFoundException`
    `JasperException`

Copyright ? 2000 Apache Software Foundation. All Rights Reserved.